> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Summarize content

> Generates a script summary for a content item using the project script settings.



## OpenAPI

````yaml post /projects/{project_id}/content/{id}/summarize
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /projects/{project_id}/content/{id}/summarize:
    parameters:
      - name: project_id
        in: path
        description: project_id
        required: true
        schema:
          type: string
      - name: id
        in: path
        description: id
        required: true
        schema:
          type: string
    post:
      tags:
        - Content
      summary: Summarize content
      description: >-
        Generates a script summary for a content item using the project script
        settings.
      operationId: content#summarize
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/requestBodyContentSummarize'
      responses:
        '200':
          description: successful
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/segmentsSummaryExample'
              schema:
                $ref: '#/components/schemas/segmentSummaryModels'
      security:
        - apiKey: []
components:
  schemas:
    requestBodyContentSummarize:
      title: Create summary
      type: object
      properties:
        model:
          type: string
          enum:
            - gpt-4o-mini
          nullable: true
          description: The model of AI. Possible values are `gpt-4o-mini`
        prompt:
          type: string
          description: The AI prompt
          nullable: true
        temperature:
          type: number
          nullable: true
        limit_token_usage:
          type: integer
          nullable: true
    segmentSummaryModels:
      type: array
      items:
        $ref: '#/components/schemas/segmentSummaryModel'
    segmentSummaryModel:
      type: object
      properties:
        section:
          type: string
          description: The section type of the segment
        content_type:
          type: string
          description: >-
            The content type of the segment. Possible values are `text`,
            `audio`, or `image`. Images will appear in videos
          enum:
            - text
            - audio
            - image
        text:
          type: string
          description: The plain text for this segment. Required if content_type is `text`
          nullable: true
        audio_url:
          type: string
          nullable: true
          description: >-
            The URL of the uploaded audio file for this segment. Required if
            content_type is `audio`
        image_url:
          type: string
          nullable: true
          description: >-
            The URL of the uploaded image file for this segment. Required if
            content_type is `image`
  examples:
    segmentsSummaryExample:
      summary: A sample list of summary segments
      value:
        - section: summary
          text: Example text first
          content_type: text
        - section: summary
          text: Example text second
          content_type: text
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````